librevenge::IStorage Class Reference documentation

librevenge::IStorage Class Reference

## Public Member Functions
| IStorage (RVNGInputStream *is)
| ~IStorage ()
DirEntry * | entry (unsigned ind)
| returns a directory entry corresponding to a index
DirEntry * | entry (const std::string &name)
| returns a directory entry corresponding to a name
unsigned | index (const std::string &name)
| returns a directory entry corresponding to a index
unsigned | revision () const
| returns the OLE revision
bool | hasRootTypePc () const
| returns true if it is a pc file
bool | isSubStream (const std::string &name, bool &isDir)
| returns true if the entry exists in the OLE, if so fills isDir
std::vector< std::string > | getSubStreamList (unsigned ind=0, bool retrieveAll=false)
| returns the list of subStream given a dirEntry index
bool | isStructured ()
std::vector< std::string > | getSubStreamNamesList ()
void | load ()
bool | use_big_block_for (unsigned long size) const
unsigned long | loadBigBlocks (std::vector< unsigned long > const &blocks, unsigned char *buffer, unsigned long maxlen) const
std::vector< unsigned char > | loadBigBlockChain (std::vector< unsigned long > const &blocks) const
unsigned long | loadBigBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen) const
unsigned long | loadSmallBlocks (std::vector< unsigned long > const &blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)

## Public Attributes
RVNGInputStream * | m_input
librevenge::Storage::Result | m_result
Header | m_header
DirTree | m_dirtree
AllocTable | m_bbat
AllocTable | m_sbat
std::vector< unsigned long > | m_sb_blocks

## Protected Attributes
bool | m_isLoad

## Private Member Functions
| IStorage (const IStorage &)
IStorage & | operator= (const IStorage &)

## Constructor & Destructor Documentation

## ◆ IStorage() [1/2]

librevenge::IStorage::IStorage | ( | RVNGInputStream * | is | ) |

Referenced by IStorage(), and operator=().

## ◆ ~IStorage()

librevenge::IStorage::~IStorage | ( |  | ) |
| inline

## ◆ IStorage() [2/2]

librevenge::IStorage::IStorage | ( | const IStorage & |  | ) |
| private

## Member Function Documentation

## ◆ entry() [1/2]

DirEntry * librevenge::IStorage::entry | ( | const std::string & | name | ) |
| inline

returns a directory entry corresponding to a name

## ◆ entry() [2/2]

DirEntry * librevenge::IStorage::entry | ( | unsigned | ind | ) |
| inline

returns a directory entry corresponding to a index

Referenced by librevenge::IStream::createOleFromDirectory().

## ◆ getSubStreamList()

std::vector< std::string > librevenge::IStorage::getSubStreamList | ( | unsigned | ind = 0,
|  | bool | retrieveAll = false )
| inline

returns the list of subStream given a dirEntry index

Referenced by librevenge::IStream::createOleFromDirectory().

## ◆ getSubStreamNamesList()

std::vector< std::string > librevenge::IStorage::getSubStreamNamesList | ( |  | ) |

## ◆ hasRootTypePc()

bool librevenge::IStorage::hasRootTypePc | ( |  | ) | const
| inline

returns true if it is a pc file

Referenced by librevenge::IStream::createOleFromDirectory().

## ◆ index()

unsigned librevenge::IStorage::index | ( | const std::string & | name | ) |
| inline

returns a directory entry corresponding to a index

Referenced by librevenge::IStream::createOleFromDirectory().

## ◆ isStructured()

bool librevenge::IStorage::isStructured | ( |  | ) |

## ◆ isSubStream()

bool librevenge::IStorage::isSubStream | ( | const std::string & | name,
|  | bool & | isDir )

returns true if the entry exists in the OLE, if so fills isDir

## ◆ load()

void librevenge::IStorage::load | ( |  | ) |

Referenced by entry(), entry(), getSubStreamList(), getSubStreamNamesList(), index(), isStructured(), and isSubStream().

## ◆ loadBigBlock()

unsigned long librevenge::IStorage::loadBigBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen ) const

Referenced by load(), and loadSmallBlocks().

## ◆ loadBigBlockChain()

std::vector< unsigned char > librevenge::IStorage::loadBigBlockChain | ( | std::vector< unsigned long > const & | blocks | ) | const

Referenced by load().

## ◆ loadBigBlocks()

unsigned long librevenge::IStorage::loadBigBlocks | ( | std::vector< unsigned long > const & | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen ) const

Referenced by loadBigBlock(), and loadBigBlockChain().

## ◆ loadSmallBlock()

unsigned long librevenge::IStorage::loadSmallBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen )

## ◆ loadSmallBlocks()

unsigned long librevenge::IStorage::loadSmallBlocks | ( | std::vector< unsigned long > const & | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen )

Referenced by loadSmallBlock().

## ◆ operator=()

IStorage & librevenge::IStorage::operator= | ( | const IStorage & |  | ) |
| private

## ◆ revision()

unsigned librevenge::IStorage::revision | ( |  | ) | const
| inline

returns the OLE revision

Referenced by librevenge::IStream::createOleFromDirectory().

## ◆ use_big_block_for()

bool librevenge::IStorage::use_big_block_for | ( | unsigned long | size | ) | const
| inline

## Member Data Documentation

## ◆ m_bbat

AllocTable librevenge::IStorage::m_bbat

Referenced by IStorage(), load(), loadBigBlockChain(), loadBigBlocks(), and loadSmallBlocks().

## ◆ m_dirtree

DirTree librevenge::IStorage::m_dirtree

Referenced by entry(), entry(), getSubStreamList(), getSubStreamNamesList(), hasRootTypePc(), index(), isSubStream(), IStorage(), and load().

## ◆ m_header

Header librevenge::IStorage::m_header

Referenced by IStorage(), load(), revision(), and use_big_block_for().

## ◆ m_input

RVNGInputStream* librevenge::IStorage::m_input

Referenced by IStorage(), load(), and loadBigBlocks().

## ◆ m_isLoad

bool librevenge::IStorage::m_isLoad
| protected

Referenced by IStorage(), and load().

## ◆ m_result

librevenge::Storage::Result librevenge::IStorage::m_result

Referenced by getSubStreamNamesList(), isStructured(), IStorage(), and load().

## ◆ m_sb_blocks

std::vector<unsigned long> librevenge::IStorage::m_sb_blocks

Referenced by IStorage(), load(), and loadSmallBlocks().

## ◆ m_sbat

AllocTable librevenge::IStorage::m_sbat

Referenced by IStorage(), load(), and loadSmallBlocks().

The documentation for this class was generated from the following file:

- RVNGOLEStream.cpp